# Step by Step: Minting Tokens with Gamechanger Wallet
## Step 1: Open GameChanger Wallet on Preprod
Use this link: [https://preprod-wallet.gamechanger.finance/](https://preprod-wallet.gamechanger.finance/)

<br />
---

## Step 2: Make a burner wallet or import one
After you navigate through the welcome screens on GameChanger, you will have choice of using a "burner wallet", where the private keys are encrypted and stored in your browser, or to import an existing wallet.

You can, for example, enter the same mnemonics from the Preprod wallet you created in [Lesson 100.1](/modules/100/1001).

You can also simply use the burner wallet if you want to move quickly. If you use the burner, be sure to read the message at the top of the page: "Remember to sweep your funds to safe wallet!".

<br />
---

## Step 3: Open the GameChanger Playground
After you open GameChanger, you should see a menu like this:
<br />
![gc-menu](/module202/gc-menu.png)

Click on "Playground".

<br />
---

## Step 4: From Demos menu, choose Minting > FakeUSD Token
Find the "Demos" menu in the top left-hand corner of the Playground. Click it, and choose `FakeUSD Token` from the dropdown list:
<br />
![gc-demo-menu](/module202/gc-demo-menu.png)

<br />
---

## Step 5: Change the assetName and quantity to whatever you want
You will now see a `.json` file in the embedded editor. If you are seeing this for the first time, we hope that you will have some questions about the `script` part! We'll discuss this in depth at [Live Coding](/live-coding).

For now, we're really interested in quickly minting some tokens. You can change the `assetName` on line 22 from `FakeUSD` to anything you want. You can change the `quantity` on line 23 to mint any number of your new tokens!

```json
{
    "type": "tx",
    "title": "Token Minting Demo",
    "description": "A GameChanger Script Demo. https://gamechanger.finance/ . To mint tokens you need monetary emission rules or 'scripts'. Here for adding public keys as whitnesses you can use accountIndex and addressIndex derivation. (0,0 is your address public key). Also you can define from an until when to mint with afterSlotOffset and beforeSlotOffset",
    "mints": [
        {
            "script": {
                "issuers": [
                    {
                        "accountIndex": 0,
                        "addressIndex": 0
                    },
                    {
                        "accountIndex": 0,
                        "addressIndex": 1
                    }
                ],
                "afterSlotOffset": 0
            },
            "assets": [
                {
                    "assetName": "FakeUSD",
                    "quantity": "100000000"
                }
            ]
        }
    ]
}
```
<br />
To mint the new assets just click on the preview button and confirm the transaction.

![gc-preview-button](/module202/gc-preview-button.png)

<br />
---

## Step 6 (optional): Send Tokens to Your Wallet
If this is your first time minting Cardano tokens, congratulations!!

If you used the burner wallet, be sure to send your new tokens to the Browser Wallet and/or CLI Wallet that you created for this course.

<br />
---
<br />

# Keep Exploring!
There is a lot about GameChanger that is not covered in this lesson. It is a unique wallet that provides new options for developers to build dApps on Cardano. Be sure to click around and explore on your own. Remember that we are on Preprod Testnet, so you can try things without the expense of mainnet tokens. Keep track of your questions, and be sure to bring them to Live Coding.

You can also join the [GameChanger Discord](https://dsc.gg/gamechanger) to ask questions and get involved in the GameChanger developer community!

import MDXLessonLayout from "@/src/components/lms/Lesson/MDXLessonLayout.tsx";
export default ({ children }) => <MDXLessonLayout>{children}</MDXLessonLayout>;
